<?php

/**
* OCMS version 3.0
* @author yann.schluchter@ouebe.ch
* @copyright 2004 
* @disclaimer This code is freely given to you "AS IS", so if it damages computer, formats your hard disk or burns your house, I am not the one to blame.
*/

include("../config.php");
include("../_system/_DBC.php");
include("../_system/_User.php");
include("../_system/_Page.php");
include("../_system/_Image.php");

session_start();
 
// Create the session variable for the current user
if (!session_is_registered("s_obj_user")) {

	$_SESSION["s_obj_user"] = new User();
}

// Create the session variable for the opened folder
if (!session_is_registered("s_int_folder_id")) {
	
	$_SESSION["s_int_folder_id"] = -1;
}

// Create the session variables for the clipboard
if (!session_is_registered("s_str_clipboard_type")) {
	
	$_SESSION["s_str_clipboard_type"] = "";
}

if (!session_is_registered("s_str_clipboard_id")) {
	
	$_SESSION["s_str_clipboard_id"] = -1;
}

if(get_magic_quotes_gpc() == 1){

	function remove_magic_quotes(&$array) {
		
		foreach($array as $key => $val) {

			if(is_array($val)) {

				remove_magic_quotes($array[$key]);
			}
			else if(is_string($val)) {

				$array[$key] = stripslashes($val);
			}
		}
	}
	
	remove_magic_quotes($_POST);
	remove_magic_quotes($_GET);
	remove_magic_quotes($_FILES);
	remove_magic_quotes($_COOKIE);
}

// Constants

$INT_BIG_TEXT_FIELD_WIDTH = 105;
$INT_SMALL_TEXT_FIELD_WIDTH = 53;
$INT_TINY_TEXT_FIELD_WIDTH = 50;

$INT_BIG_TEXTAREA_WIDTH = 103;
$INT_BIG_TEXTAREA_HEIGHT = 15;

$INT_SMALL_TEXTAREA_WIDTH = 51;
$INT_SMALL_TEXTAREA_HEIGHT = 4;

$INT_BIG_FILE_FIELD_WIDTH = 94;

$INT_PAGE_COMPONENT_POPUP_WIDTH = 600;
$INT_PAGE_COMPONENT_POPUP_HEIGHT = 500;

// creating the database connector object
$obj_dbc = new DBC();

// if the user wants to log in, try...
if ($_POST["p_str_login"] != "") $str_login_message = $_SESSION["s_obj_user"]->tryToLogin($_POST["p_str_login"], $_POST["p_str_password"]);

?>
