<?php

function txt($i_str_key) {
	
	$texts = array();

	$texts["add_component"] = "Add a component";
	$texts["alert_component_in_use"] = "You cannot delete this component because it is used by one or more pages.";
	$texts["alert_component_template_in_use"] = "You cannot delete this component template because it is used by one or more components.";
	$texts["alert_non_empty_folder"] = "You cannot delete this folder because it is not empty.";
	$texts["alert_page_has_children"] = "You cannot delete this page because it has one or more children.";
	$texts["alert_zone_in_use"] = "You cannot delete this zone because it is used by one or more components.";
	$texts["building_blocks"] = "Building blocks";
	$texts["cancel"] = "Cancel";
	$texts["clipboard"] = "Clipboard: ";
	$texts["close"] = "Close";
	$texts["code"] = "Code";
	$texts["component"] = "Component";
	$texts["components"] = "Components";
	$texts["component_template"] = "Component template";
	$texts["configuration"] = "Configuration";
	$texts["confirm_delete_component"] = "Do you really want to delete this component?";
	$texts["confirm_delete_component_template"] = "Do you really want to delete this component template?";
	$texts["confirm_delete_file"] = "Do you really want to delete this file?";
	$texts["confirm_delete_folder"] = "Do you really want to delete this folder?";
	$texts["confirm_delete_image"] = "Do you really want to delete this image?";
	$texts["confirm_delete_page"] = "Do you really want to delete this page?";
	$texts["confirm_delete_page_template"] = "Do you really want to delete this page template?";
	$texts["confirm_delete_user"] = "Do you really want to delete this user?";
	$texts["confirm_delete_zone"] = "Do you really want to delete this zone?";
	$texts["content"] = "Content";
	$texts["current_logged_user"] = "Current logged user";
	$texts["cut"] = "Cut";
	$texts["delete_component"] = "Delete the component";
	$texts["delete_component_template"] = "Delete the component template";
	$texts["delete_image"] = "Delete the image";
	$texts["delete_page"] = "Delete the page";
	$texts["delete_page_template"] = "Delete the page template";
	$texts["delete_file"] = "Delete the file";
	$texts["delete_folder"] = "Delete the folder";
	$texts["delete_user"] = "Delete the user";
	$texts["delete_zone"] = "Delete the zone";
	$texts["description"] = "Description";
	$texts["download_file"] = "Download the file";
	$texts["edit_page_components"] = "Modify the page components";
	$texts["edit_page_properties"] = "Modify the page properties";
	$texts["empty_clipboard"] = "Clipboard: empty";
	$texts["english"] = "English";
	$texts["file"] = "File";
	$texts["files"] = "Files";
	$texts["folder"] = "Folder";
	$texts["french"] = "French";
	$texts["help"] = "Help";
	$texts["id"] = "#";
	$texts["image"] = "Image";
	$texts["images"] = "Images";
	$texts["image_id"] = "Image #";
	$texts["introduction_text"] = "If you are using the Internet Explorer browser, images may not be correctly displayed. You should better use FireFox (http://www.mozilla.org)";
	$texts["language"] = "Language";
	$texts["languages"] = "Languages";
	$texts["location"] = "Login";
	$texts["login"] = "Connection";
	$texts["logout"] = "Logout";
	$texts["modify"] = "Modify";
	$texts["modify_component"] = "Modify the component";
	$texts["modify_component_template"] = "Modify the component template";
	$texts["modify_file"] = "Modify the file";
	$texts["modify_image"] = "Modify the image";
	$texts["modify_page_template"] = "Modify the page template";
	$texts["modify_user_data"] = "Modify the user data";
	$texts["modify_zone"] = "Modify the zone";
	$texts["move_component_down"] = "Move the component down";
	$texts["move_component_up"] = "Move the component up";
	$texts["move_page_down"] = "Move the page down";
	$texts["move_page_up"] = "Move the page up";
	$texts["name"] = "Name";
	$texts["new_component"] = "New component";
	$texts["new_component_template"] = "New component template";
	$texts["new_file"] = "New file";
	$texts["new_folder"] = "New folder";
	$texts["new_image"] = "New image";
	$texts["new_page"] = "New page";
	$texts["new_page_template"] = "New page template";
	$texts["new_user"] = "New user";
	$texts["new_zone"] = "New zone";
	$texts["ocms"] = "OCMS";
	$texts["ocms_v3"] = "OCMS v3.0";
	$texts["pages"] = "Pages";
	$texts["page_id"] = "Page #";
	$texts["page_template"] = "Page template";
	$texts["page_title"] = "Page title";
	$texts["parent_page"] = "Parent page";
	$texts["password"] = "Password";
	$texts["paste"] = "Past";
	$texts["preview_image"] = "Preview image";
	$texts["preview_page"] = "Preview page";
	$texts["properties"] = "Properties";
	$texts["remove_component_from_page"] = "Remove component from page";
	$texts["rename_folder"] = "Rename folder";
	$texts["save"] = "Save";
	$texts["security_level"] = "Security level";
	$texts["server_information"] = "phpinfo()";
	$texts["size"] = "Size";
	$texts["title"] = "Title";
	$texts["type"] = "Type";
	$texts["user"] = "User";
	$texts["user_login"] = "Login";
	$texts["user_password"] = "Password";
	$texts["users"] = "Users";
	$texts["zone"] = "Zone";
	$texts["zones"] = "Zones";

	
	$str_value = "***** [$i_str_key] *****";
	
	if (array_key_exists($i_str_key, $texts)) $str_value = $texts[$i_str_key];
	
	return $str_value;
}

function txt_nb($i_str_key) {
	
	return str_replace(" ", "&nbsp;", txt($i_str_key));	
}

?>
