# phpMyAdmin SQL Dump
# version 2.5.3
# http://www.phpmyadmin.net
#
# Host: localhost
# Generation Time: Apr 01, 2005 at 05:16 PM
# Server version: 4.0.15
# PHP Version: 4.3.3
# 
# Database : `ocms`
# 

# --------------------------------------------------------

#
# Table structure for table `ocms_component_templates`
#

CREATE TABLE `ocms_component_templates` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `description` text,
  `folder_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=36 ;

#
# Dumping data for table `ocms_component_templates`
#

INSERT INTO `ocms_component_templates` VALUES (1, 'Default component template', 'Default component template', 1);

# --------------------------------------------------------

#
# Table structure for table `ocms_components`
#

CREATE TABLE `ocms_components` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default '...',
  `description` text,
  `zone_id` int(11) default '0',
  `content` text,
  `folder_id` int(11) NOT NULL default '1',
  `template_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=251 ;

#
# Dumping data for table `ocms_components`
#

INSERT INTO `ocms_components` VALUES (249, 'Component Example - Display Image', NULL, 12, '<p>This component shows how to display an image</p>\r\n\r\n<p><img src="<?=image(485)?>"></p>', 1, 1);
INSERT INTO `ocms_components` VALUES (250, 'Component Example - Link to File', NULL, 12, '<p>This component shows how to create a link to a file</p>\r\n\r\n<p><a href="<?=filename(18)?>">Download sample text file...</a></p>', 1, 1);

# --------------------------------------------------------

#
# Table structure for table `ocms_files`
#

CREATE TABLE `ocms_files` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `type` varchar(255) NOT NULL default '',
  `size` double NOT NULL default '0',
  `file_name` varchar(255) NOT NULL default '',
  `folder_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=19 ;

#
# Dumping data for table `ocms_files`
#

INSERT INTO `ocms_files` VALUES (18, 'Sample File', '', 'text/plain', '31', 'fichier.txt', 1);

# --------------------------------------------------------

#
# Table structure for table `ocms_folders`
#

CREATE TABLE `ocms_folders` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default '...',
  `parent_id` int(11) default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=150 ;

#
# Dumping data for table `ocms_folders`
#

INSERT INTO `ocms_folders` VALUES (1, 'Root Folder', 0);

# --------------------------------------------------------

#
# Table structure for table `ocms_images`
#

CREATE TABLE `ocms_images` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default '...',
  `description` text,
  `size` int(11) default '0',
  `type` varchar(100) default '...',
  `width` int(11) default '0',
  `height` int(11) default '0',
  `folder_id` int(11) NOT NULL default '1',
  `user_login` varchar(100) NOT NULL default '',
  `date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=486 ;

#
# Dumping data for table `ocms_images`
#

INSERT INTO `ocms_images` VALUES (485, 'Sample Image', '', 1875, 'image/png', 32, 32, 1, '', '0000-00-00');

# --------------------------------------------------------

#
# Table structure for table `ocms_page_component`
#

CREATE TABLE `ocms_page_component` (
  `id` int(11) NOT NULL auto_increment,
  `page_id` int(11) default '-1',
  `component_id` int(11) default '-1',
  `position` int(11) default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=632 ;

#
# Dumping data for table `ocms_page_component`
#

INSERT INTO `ocms_page_component` VALUES (630, 1, 249, 1);
INSERT INTO `ocms_page_component` VALUES (631, 1, 250, 2);

# --------------------------------------------------------

#
# Table structure for table `ocms_page_templates`
#

CREATE TABLE `ocms_page_templates` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `description` text,
  `folder_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=22 ;

#
# Dumping data for table `ocms_page_templates`
#

INSERT INTO `ocms_page_templates` VALUES (1, 'Default page template', 'Default page template', 1);

# --------------------------------------------------------

#
# Table structure for table `ocms_pages`
#

CREATE TABLE `ocms_pages` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default '...',
  `description` text,
  `parent_id` int(11) default '0',
  `security_level` int(11) default '10',
  `position` int(11) default '0',
  `template_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=175 ;

#
# Dumping data for table `ocms_pages`
#

INSERT INTO `ocms_pages` VALUES (1, 'Home', 'Default home page', 0, 0, 1, 1);
INSERT INTO `ocms_pages` VALUES (172, 'First level page number 1', '', 1, 0, 1, 1);
INSERT INTO `ocms_pages` VALUES (173, 'First level page number 2', '', 1, 0, 2, 1);

# --------------------------------------------------------

#
# Table structure for table `ocms_users`
#

CREATE TABLE `ocms_users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(100) default 'login',
  `password` varchar(100) default 'pwd',
  `description` text,
  `security_level` int(11) NOT NULL default '0',
  `language` char(2) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=316 ;

#
# Dumping data for table `ocms_users`
#

INSERT INTO `ocms_users` VALUES (1, 'administrator', '699WsgwEu2ICw', 'Default administrator user', 10, 'en');

# --------------------------------------------------------

#
# Table structure for table `ocms_zones`
#

CREATE TABLE `ocms_zones` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=13 ;

#
# Dumping data for table `ocms_zones`
#

INSERT INTO `ocms_zones` VALUES (12, 'Default zone', '');
