<?php

/**
* OCMS version 3.0
* @author yann.schluchter@ouebe.ch
* @copyright 2004 
* @disclaimer This code is freely given to you "AS IS", so if it damages computer, formats your hard disk or burns your house, I am not the one to blame.
*/

/**
* This page displays the list of sub-folders, components, images, component templates and page templates of a folder.
*/
 
include("_top_include.php"); 

if ($_SESSION["s_obj_user"]->securityLevel() >= 10) {
	
	global $str_class;
	
	include("../_languages/_" . $_SESSION["s_obj_user"]->language() . ".php");

	$int_folder_id = ($_GET["p_int_folder_id"] != "")?$_GET["p_int_folder_id"]:-1;
	
	if ($int_folder_id == -1) {
		
		$int_folder_id = ($_SESSION["s_int_folder_id"] != -1)?$_SESSION["s_int_folder_id"]:1;
	}
	else {
	
		$_SESSION["s_int_folder_id"] = $int_folder_id;
	}
	
	$str_action = $_GET["p_str_action"];
	
	// Past action
	if ($str_action == "paste") {
	
		if (($_SESSION["s_str_clipboard_type"] == "component") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$obj_dbc->execute("UPDATE " . $STR_TABLES_PREFIX . "components SET folder_id=$int_folder_id WHERE id=" . $_SESSION["s_str_clipboard_id"]);
		}
		
		if (($_SESSION["s_str_clipboard_type"] == "image") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$obj_dbc->execute("UPDATE " . $STR_TABLES_PREFIX . "images SET folder_id=$int_folder_id WHERE id=" . $_SESSION["s_str_clipboard_id"]);
		}
		
		if (($_SESSION["s_str_clipboard_type"] == "component_template") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$obj_dbc->execute("UPDATE " . $STR_TABLES_PREFIX . "component_templates SET folder_id=$int_folder_id WHERE id=" . $_SESSION["s_str_clipboard_id"]);
		}
		
		if (($_SESSION["s_str_clipboard_type"] == "page_template") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$obj_dbc->execute("UPDATE " . $STR_TABLES_PREFIX . "page_templates SET folder_id=$int_folder_id WHERE id=" . $_SESSION["s_str_clipboard_id"]);
		}
		
		if (($_SESSION["s_str_clipboard_type"] == "file") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$obj_dbc->execute("UPDATE " . $STR_TABLES_PREFIX . "files SET folder_id=$int_folder_id WHERE id=" . $_SESSION["s_str_clipboard_id"]);
		}
		
		$_SESSION["s_str_clipboard_type"] = "";
		$_SESSION["s_str_clipboard_id"] = -1;
	}
	
	?>
	
	<html>
	
	<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<title>OCMS v3.0</title>
	<link rel="stylesheet" href="_stylesheet.css">
	<script src="_source.js"></script>
	</head>
	
	<body class="clsText" bgcolor="#FFFFFF">
	
	<script language="JavaScript">window.parent.frames['_button_bar'].location='_button_bar.php?p_str_button_bar=building_blocks&p_int_folder_id=<?=$int_folder_id?>';</script>
				
	<table border="0" cellpadding="0" cellspacing="0" class="clsText">
	
		<tr>
			<td class="clsTableHeader">&nbsp;</td>
			<td class="clsTableHeader"><?=txt("id")?></td>
			<td class="clsTableHeader"><?=txt("title")?></td>
			<td class="clsTableHeader"><?=txt("type")?></td>
			<td class="clsTableHeader"><?=txt("size")?></td>
			<td colspan="4" class="clsTableHeader">&nbsp;</td>
		</tr>
		
		<?
		
		// Display folders
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "folders WHERE parent_id=$int_folder_id ORDER BY title");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
		
		for ($int_i = 0; $int_i < $int_num_folders; $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";
			
			?>
			
			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_folder.png"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "id")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "title")?></td>
				<td class="<?=$str_class?>"><?=txt("folder")?></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><a href="_folder_edit.php?p_int_folder_id=<?=mysql_result($rs, $int_i, "id")?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("rename_folder")?>" title="<?=txt("rename_folder")?>"></a></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_folder")?>')) document.location='_folder_delete.php?p_int_parent_folder_id=<?=$int_folder_id?>&p_int_folder_id=<?=mysql_result($rs, $int_i, "id")?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_folder")?>" title="<?=txt("delete_folder")?>"></a></td>
			</tr>
			
			<?
			
		}
		
		mysql_free_result($rs);
		
		// Display components
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "components WHERE folder_id=$int_folder_id ORDER BY title");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
		
		for ($int_i = 0; $int_i < $int_num_folders; $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";
			
			?>
			
			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_component.png"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "id")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "title")?></td>
				<td class="<?=$str_class?>"><?=txt("component")?></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><a href="_component_edit.php?p_int_component_id=<?=mysql_result($rs, $int_i, "id")?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("modify_component")?>" title="<?=txt("modify_component")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_button_bar.php?p_str_button_bar=building_blocks&p_str_clipboard_type=component&p_int_clipboard_id=<?=mysql_result($rs, $int_i, "id")?>" target="_button_bar"><img src="../_images/stock_cut.png" border="0" alt="<?=txt("cut")?>" title="<?=txt("cut")?>"></a></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_component")?>')) document.location='_component_delete.php?p_int_folder_id=<?=$int_folder_id?>&p_int_component_id=<?=mysql_result($rs, $int_i, "id")?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_component")?>" title="<?=txt("delete_component")?>"></a></td>
			</tr>
			
			<?
			
		}
		
		mysql_free_result($rs);
		
		// Display images
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "images WHERE folder_id=$int_folder_id ORDER BY title");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
		
		for ($int_i = 0; $int_i < $int_num_folders; $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";
			
			?>
			
			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_image.png"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "id")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "title")?></td>
				<td class="<?=$str_class?>"><?=txt("image")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "width")?>x<?=mysql_result($rs, $int_i, "height")?></td>
				<td class="<?=$str_class?>"><a href="../../<?=image(mysql_result($rs, $int_i, "id"))?>" target="_blank"><img src="../_images/stock_preview.png" border="0" alt="<?=txt("preview_image")?>" title="<?=txt("preview_image")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_image_edit.php?p_int_image_id=<?=mysql_result($rs, $int_i, "id")?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("modify_image")?>" title="<?=txt("modify_image")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_button_bar.php?p_str_button_bar=building_blocks&p_str_clipboard_type=image&p_int_clipboard_id=<?=mysql_result($rs, $int_i, "id")?>" target="_button_bar"><img src="../_images/stock_cut.png" border="0" alt="<?=txt("cut")?>" title="<?=txt("cut")?>"></a></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_image")?>')) document.location='_image_delete.php?p_int_folder_id=<?=$int_folder_id?>&p_int_image_id=<?=mysql_result($rs, $int_i, "id")?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_image")?>" title="<?=txt("delete_image")?>"></a></td>
			</tr>
			
			<?
			
		}
		
		mysql_free_result($rs);
		
		// Display component templates
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "component_templates WHERE folder_id=$int_folder_id ORDER BY title");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
		
		for ($int_i = 0; $int_i < $int_num_folders; $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";
			
			?>
			
			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_component-template.png"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "id")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "title")?></td>
				<td class="<?=$str_class?>"><?=txt("component_template")?></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></a></td>
				<td class="<?=$str_class?>"><a href="_component_template_edit.php?p_int_component_template_id=<?=mysql_result($rs, $int_i, "id")?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("modify_component_template")?>" title="<?=txt("modify_component_template")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_button_bar.php?p_str_button_bar=building_blocks&p_str_clipboard_type=component_template&p_int_clipboard_id=<?=mysql_result($rs, $int_i, "id")?>" target="_button_bar"><img src="../_images/stock_cut.png" border="0" alt="<?=txt("cut")?>" title="<?=txt("cut")?>"></a></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_component_template")?>')) document.location='_component_template_delete.php?p_int_folder_id=<?=$int_folder_id?>&p_int_component_template_id=<?=mysql_result($rs, $int_i, "id")?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_component_template")?>" title="<?=txt("delete_component_template")?>"></a></td>
			</tr>
			
			<?
			
		}
		
		mysql_free_result($rs);
		
		// Display page templates
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "page_templates WHERE folder_id=$int_folder_id ORDER BY title");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
		
		for ($int_i = 0; $int_i < $int_num_folders; $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";
			
			?>
			
			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_page-template.png"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "id")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, "title")?></td>
				<td class="<?=$str_class?>"><?=txt("page_template")?></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></td>
				<td class="<?=$str_class?>"><img src="../../p.gif"></a></td>
				<td class="<?=$str_class?>"><a href="_page_template_edit.php?p_int_page_template_id=<?=mysql_result($rs, $int_i, "id")?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("modify_page_template")?>" title="<?=txt("modify_page_template")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_button_bar.php?p_str_button_bar=building_blocks&p_str_clipboard_type=page_template&p_int_clipboard_id=<?=mysql_result($rs, $int_i, "id")?>" target="_button_bar"><img src="../_images/stock_cut.png" border="0" alt="<?=txt("cut")?>" title="<?=txt("cut")?>"></a></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_page_template")?>')) document.location='_page_template_delete.php?p_int_folder_id=<?=$int_folder_id?>&p_int_page_template_id=<?=mysql_result($rs, $int_i, "id")?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_page_template")?>" title="<?=txt("delete_page_template")?>"></a></td>
			</tr>
			
			<?
			
		}
		
		mysql_free_result($rs);
		
		// Display files
		
		$rs = $obj_dbc->execute("SELECT * FROM " . $STR_TABLES_PREFIX . "files WHERE folder_id=$int_folder_id ORDER BY name");
		
		if ($rs) $int_num_folders = mysql_num_rows($rs);
	
			
	
		for ($int_i = 0; $int_i < mysql_num_rows($rs); $int_i++) {
			
			$str_class = ($str_class=="clsTableLineLight")?"clsTableLineDark":"clsTableLineLight";

			?>

			<tr>
				<td class="<?=$str_class?>"><img src="../_images/stock_file.png" border="0"></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, 'id')?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, 'name')?></td>
				<td class="<?=$str_class?>"><?=txt("file")?></td>
				<td class="<?=$str_class?>"><?=mysql_result($rs, $int_i, 'size')?></td>
				<td class="<?=$str_class?>"><a href="../../download/<?=mysql_result($rs, $int_i, 'id')?>-<?=mysql_result($rs, $int_i, 'file_name')?>" target="_blank"><img src="../_images/stock_preview.png" border="0" alt="<?=txt("download_file")?>" title="<?=txt("download_file")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_file_edit.php?p_int_file_id=<?=mysql_result($rs, $int_i, 'id')?>"><img src="../_images/stock_edit.png" border="0" alt="<?=txt("modify_file")?>" title="<?=txt("modify_file")?>"></a></td>
				<td class="<?=$str_class?>"><a href="_button_bar.php?p_str_button_bar=building_blocks&p_str_clipboard_type=file&p_int_clipboard_id=<?=mysql_result($rs, $int_i, "id")?>" target="_button_bar"><img src="../_images/stock_cut.png" border="0" alt="<?=txt("cut")?>" title="<?=txt("cut")?>"></a></td>
				<td class="<?=$str_class?>"><a href="javascript: if(confirm('<?=txt("confirm_delete_file")?>')) document.location='_file_delete.php?p_int_file_id=<?=mysql_result($rs, $int_i, 'id')?>';"><img src="../_images/stock_delete.png" border="0" alt="<?=txt("delete_file")?>" title="<?=txt("delete_file")?>"></a></td>
			</tr>

			<?

		}

		mysql_free_result($rs);
		
		?>
	
	</table>
	
	</body>
	
	</html>
	
	<?

}
else echo("[OCMS v3.0] Login needed...");

include("_bottom_include.php");

?>