<?php

/**
* OCMS version 3.0
* @author yann.schluchter@ouebe.ch
* @copyright 2004 
* @disclaimer This code is freely given to you "AS IS", so if it damages computer, formats your hard disk or burns your house, I am not the one to blame.
*/

/**
* This page displays the button bar.
*/
 
include("_top_include.php");

if ($_SESSION["s_obj_user"]->securityLevel() >= 10) {
	
	include("../_languages/_" . $_SESSION["s_obj_user"]->language() . ".php");
	
	$str_button_bar = $_GET["p_str_button_bar"];
	
	$str_new_page_icon = "<img src=\"../_images/stock_new-page-off.png\" alt=\"" . txt("new_page") . "\" title=\"" . txt("new_page") . "\">";
	$str_new_folder_icon = "<img src=\"../_images/stock_new-folder-off.png\" alt=\"" . txt("new_folder") . "\" title=\"" . txt("new_folder") . "\">";
	$str_new_component_icon = "<img src=\"../_images/stock_new-component-off.png\" alt=\"" . txt("new_component") . "\" title=\"" . txt("new_component") . "\">";
	$str_new_image_icon = "<img src=\"../_images/stock_new-image-off.png\" alt=\"" . txt("new_image") . "\" title=\"" . txt("new_image") . "\">";
	$str_new_component_template_icon = "<img src=\"../_images/stock_new-component-template-off.png\" alt=\"" . txt("new_component_template") . "\" title=\"" . txt("new_component_template") . "\">";
	$str_new_page_template_icon = "<img src=\"../_images/stock_new-page-template-off.png\" alt=\"" . txt("new_page_template") . "\" title=\"" . txt("new_page_template") . "\">";
	$str_new_file_icon = "<img src=\"../_images/stock_new-file-off.png\" alt=\"" . txt("new_file") . "\" title=\"" . txt("new_file") . "\">";
	$str_new_user_icon = "<img src=\"../_images/stock_new-user-off.png\" alt=\"" . txt("new_user") . "\" title=\"" . txt("new_user") . "\">";
	$str_new_zone_icon = "<img src=\"../_images/stock_new-zone-off.png\" alt=\"" . txt("new_zone") . "\" title=\"" . txt("new_zone") . "\">";
	$str_paste_icon = "<img src=\"../_images/stock_paste-off.png\" alt=\"" . txt("paste") . "\" title=\"" . txt("paste") . "\">";
	$str_separator = "<img src=\"../_images/separator.png\">";
	$str_help_icon = "<a href=\"_help/index.php\" target=\"_blank\"><img src=\"../_images/stock_help.png\" name=\"help\" alt=\"" . txt("help") . "\" title=\"" . txt("help") . "\" border=\"0\"></a>";
	$str_penguin_icon = "<img src=\"../_images/throbber32.png\" alt=\"" . txt("empty_clipboard") . "\" title=\"" . txt("empty_clipboard") . "\">";
	
	?>
	
	<html>
	
	<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<title>OCMS v3.0</title>
	<link rel="stylesheet" href="_stylesheet.css">
	</head>
	
	<body class="clsText" bgcolor="#DbD8D1">
	
	<?
	
	if ($str_button_bar == "building_blocks")  {
		
		$int_folder_id = $_SESSION["s_int_folder_id"];
		$str_clipboard_type = $_GET["p_str_clipboard_type"];
		$int_clipboard_id = $_GET["p_int_clipboard_id"];
	
		$str_new_folder_icon = "<a href=\"_folder_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-folder.png\" name=\"new_folder\" alt=\"" . txt("new_folder") . "\" title=\"" . txt("new_folder") . "\" border=\"0\"></a>";
		$str_new_component_icon = "<a href=\"_component_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-component.png\" name=\"new_component\" alt=\"" . txt("new_component") . "\" title=\"" . txt("new_component") . "\" border=\"0\"></a>";
		$str_new_image_icon = "<a href=\"_image_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-image.png\" name=\"new_image\" alt=\"" . txt("new_image") . "\" title=\"" . txt("new_image") . "\" border=\"0\"></a>";
		$str_new_component_template_icon = "<a href=\"_component_template_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-component-template.png\" name=\"new_component_template\" alt=\"" . txt("new_component_template") . "\" title=\"" . txt("new_component_template") . "\" border=\"0\"></a>";
		$str_new_page_template_icon = "<a href=\"_page_template_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-page-template.png\" name=\"new_page_template\" alt=\"" . txt("new_page_template") . "\" title=\"" . txt("new_page_template") . "\" border=\"0\"></a>";
		$str_new_file_icon = "<a href=\"_file_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-file.png\" name=\"new_file\" alt=\"" . txt("new_file"). "\" title=\"" . txt("new_file"). "\" border=\"0\"></a>";
		
		if ($str_clipboard_type != "") {
			$_SESSION["s_str_clipboard_type"] = $str_clipboard_type;
			$_SESSION["s_str_clipboard_id"] = $int_clipboard_id;
		}
		
		if (($_SESSION["s_str_clipboard_type"] != "") and ($_SESSION["s_str_clipboard_id"] != -1)) {
			
			$str_paste_icon = "<a href=\"_building_block_admin.php?p_str_action=paste\" target=\"_central\"><img src=\"../_images/stock_paste.png\" alt=\"" . txt("paste") . "\" title=\"" . txt("paste") . "\" border=\"0\"></a>";
			
		}
	}
	
	if ($str_button_bar == "pages")  {
	
		$str_new_page_icon = "<a href=\"_page_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-page.png\" name=\"new_page\" alt=\"" . txt("new_page") . "\" title=\"" . txt("new_page") . "\" border=\"0\"></a>";
	}
	
	if ($str_button_bar == "users")  {
	
		$str_new_user_icon = "<a href=\"_user_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-user.png\" name=\"new_user\" alt=\"" . txt("new_user") . "\" title=\"" . txt("new_user") . "\" border=\"0\"></a>";
	}
	
	if ($str_button_bar == "zones")  {
	
		$str_new_zone_icon = "<a href=\"_zone_edit.php\" target=\"_central\"><img src=\"../_images/stock_new-zone.png\" name=\"new_zone\" alt=\"" . txt("new_zone") . "\" title=\"" . txt("new_zone") . "\" border=\"0\"></a>";
	}
	
	if (($_SESSION["s_str_clipboard_type"] != "") and ($_SESSION["s_str_clipboard_id"] != -1)) {
		
		$str_penguin_tooltip = txt("clipboard") . txt($_SESSION["s_str_clipboard_type"]) . " " . $_SESSION["s_str_clipboard_id"];
		
		$str_penguin_icon = "<img src=\"../_images/stock_clipboard-full.png\" alt=\"" . $str_penguin_tooltip . "\" title=\"" . $str_penguin_tooltip . "\">";
	}
	
	if ($str_button_bar != "")  {
		
		?>
		
		<table border="0" cellpadding="4" cellspacing="0" width="100%" class="clsText">
		
			<tr>
				<td>
					<?=$str_new_page_icon?>
					<?=$str_separator?>
					<?=$str_new_folder_icon?>
					<?=$str_new_component_icon?>
					<?=$str_new_image_icon?>
					<?=$str_new_component_template_icon?>
					<?=$str_new_page_template_icon?>
					<?=$str_new_file_icon?>
					<?=$str_separator?>
					<?=$str_paste_icon?>
					<?=$str_separator?>
					<?=$str_new_user_icon?>
					<?=$str_separator?>
					<?=$str_new_zone_icon?>
					<?=$str_separator?>
					<?=$str_help_icon?>
				</td>
				<td align="right"><?=$str_penguin_icon?></td>
			</tr>
						
		</table>
		
		<?
	
	}
	
	?>
	
	</body>
	
	</html>

	<?
	
}
 
 include("_bottom_include.php");
 
 ?>
