<b></b><html>

<head>
<title>OCMS v3.0 - Help</title>
</head>

<body>

<a name="introduction"/><h1>Introduction</h1>

<a name="ocms"/><h2>OCMS</h2>

<p>OCMS (Ouebe Content Management system) est un outils de gestion de site web dvelopp en PHP. Il peut tre tlcharg gratuitement sur <a href="http://www.ouebe.ch" target="_blank"> http://www.ouebe.ch</a>.</p>

<p>Grce  son interface web, OCMS permet de faire la maintenance d'un site web  partir de n'importe quelle machine disposant d'une connexion  Internet (HTTP).</p>

<a name="basic_principles"><h2>Principes de base</h2>

<p>Un site web est compos de <b>pages</b>. Dans OCMS, chaque page peut tre lie  une page parent. Cela permet de connaitre prcisement l'emplacement de chaque page dans l'architecture du site (indispensable si on veut pouvoir gnrer une navigation automatique).</p>

<p>Les pages dans OCMS sont elles-mmes construites  l'aide de <b>composants</b> (0  n). Basiquement, un composant est un "morceau" de contenu. Un mme composant peut faire partie de plusieurs pages en mme temps.</p>

<p>L'aspect graphique ainsi que l'emplacement des diffrents composants dans une page est dfini par son <b>modle de page</b> (page template).</p>

<p>L'aspect graphique d'un composant est dfini par son <b>modle de composant</b> (component template).</p>

<h1>Cration d'une page</h1>

<h2>Dfinition des zones</h2>

<p>Avant toute chose, il faut dfinir des zones dans lesquelles les composants seront affichs. Par exemple, "Colonne de gauche", "Colonne centrale" et "Colonne de droite". Pour pouvoir afficher des composants dans une page, il faut au minimum une zone. Il n'y a pas de maximum. Il n'y a pas de rgles quand  la nommenclature des zones. Il faut seulement viter d'utiliser le mme nom pour deux zones!</p>

<h2>Cration du modle de page</h2>

<p>La cration d'un modle de page ncessite quelques notions de programmations en PHP.</p>

<p>Le principe est simple. On va crer une page HTML normale mais vide de tout contenu. Ensuite on va placer des bouts de code PHP aux endroits ou l'on veut afficher des composants (zones).</p>

<h1>Interface de OCMS</h1>

<p>L'interface de OCMS se trouve  l'adresse <b>[URL de votre site web]/_ocms/_admin</b>. Le login par dfaut est "administrator" associ au mot de passe "ocms". Aprs l'installation, changez le mot de passe ds que possible avant que quelqu'un le fasse avant vous! :o)</p>

<h2>Ecran principal</h2>

<p>Aprs le login, la page suivante est affiche.</p>

<p align="center"><img src="_images/main_screen.png"></p>

<p>L'cran est compos de trois parties: <b>la navigation</b>, <b>la barre d'outils</b> et <b>l'espace de travail</b>.</p>

<h2>La navigation</h2>

<p>La navigation se trouve sur la gauche de l'cran. C'est un arbre qui permet d'afficher les diffrents lments constituant le site. A sa racine (OCMS v3.0) se trouve un liens vers la page d'accueil de OCMS. En dessous, nous avons les liens suivants:</p>

<ul>
<li><b>Pages</b> : Affiche la liste des pages du site.</li>
<li><b>Elments de construction</b> : Racine sous laquelle on peut trouver des dossiers, des composants, des images, des images, des modles de compsants et des modles de page.</li>
<li><b>Fichiers</b> : Affiche la liste des fichiers stocks dans le systme.</li>
<li><b>Utilisateurs</b> : Affiche la liste des utilisateurs.</li>
<li><b>Zones</b> : Affiche la liste des zones.</li>
<li><b>Configuration</b> : Racine sous laquelle on trouve les paramtres permettant de configurer OCMS.</li>
<li><b>Dconnexion</b> : Dconnexion de l'utilisateur courant.</li>
</ul>

<h2>La barre d'outils</h2>

<p>La barre d'outils se trouve en haut de l'cran au dessus de l'espace de travail. Elle affiche des icnes permettant de crer les diffrents lments du site. L'activation ou la desactivation des icnes est fonction de ce qui est affich dans la zone d'affichage.</p>

<h2>L'espace de travail</h2>

<p>L'espace de travail se trouve  droite de la navigation. Il est utilis pour lister et d'diter les diffrents lments du site web.</p>

</body>

</html>
