<?php

/**
* OCMS version 3.0
* @author yann.schluchter@ouebe.ch
* @copyright 2004 
* @disclaimer This code is freely given to you "AS IS", so if it damages computer, formats your hard disk or burns your house, I am not the one to blame.
*/

/**
* This class provides some functions to handle the OCMS components
*/
class Component {

	var $int_id;
	var $str_title;
	var $str_content;
	var $int_template_id;
	
	/**
	* Constructor
	*/
	function Component($i_int_id) {
		
		global $obj_dbc;
		global $user;
		global $STR_TABLES_PREFIX;
		
		if ($i_int_id != "") {

			$rs_component = $obj_dbc->execute("SELECT title, content, template_id FROM " . $STR_TABLES_PREFIX . "components WHERE id=$i_int_id");
					
			if ($rs_component) {
			
				if (mysql_num_rows($rs_component) > 0) {
				
					$this->int_id = $i_int_id;
					$this->str_title = mysql_result($rs_component, 0, 'title');
					$this->str_content = mysql_result($rs_component, 0, 'content');
					$this->int_template_id = mysql_result($rs_component, 0, 'template_id');
				}
				else echo("<span class=\"clsRedText\">Component class (constructor): Component not found (ID: $i_int_id)</span><br><br>");
			}
			else echo("<span class=\"clsRedText\">Component class (constructor): Data access error</span><br><br>");
		}
		else echo("<span class=\"clsRedText\">Component class (constructor): Component ID parameter missing</span><br><br>");
	 }
	 
	/**
	* Displays the title of the component
	*/
	function title() {

		echo($this->str_title);
	}
	
	/**
	* Returns the ID of the component
	*/
	function id() {

		return $this->int_id;
	}
	 
	/**
	* Execute the content of the component
	*/
	function content() {

		global $obj_dbc;
		global $page;
		global $user;

		eval("?>" . $this->str_content . "<?");
	}

	/**
	* Returns the file name of the component template linked to the component
	*/
	function templateFilename() {

		return "_ocms/_templates/_components/ct_" . $this->int_template_id . ".php";
	}
}
 
?>